
%global meadversion 8.9.0
%global namedversion 8.9.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package elasticsearch}
%{!?scl:%global pkg_name %{name}}

%define maven_version 8.9.0.redhat-00001

Name:           %{?scl_prefix}elasticsearch
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Elasticsearch
Group:          Development/Java

%if %with mead
Source100: elasticsearch-8.9.0.redhat-00001-project-sources.tar.gz
Source102: elasticsearch-rest-client-sniffer-8.9.0.redhat-00001.jar
Source103: elasticsearch-rest-client-8.9.0.redhat-00001.pom
Source104: elasticsearch-rest-client-sniffer-8.9.0.redhat-00001-sources.jar
Source105: elasticsearch-rest-client-8.9.0.redhat-00001-sources.jar
Source106: elasticsearch-rest-client-sniffer-8.9.0.redhat-00001.pom
Source107: elasticsearch-rest-client-8.9.0.redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://www.elastic.co/products/elasticsearch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/elasticsearch-%{namedversion}-%{release}-root

%description
Elasticsearch is the distributed, RESTful search and analytics engine at the
heart of the https://www.elastic.co/products[Elastic Stack]. You can use
Elasticsearch to store, search, and manage data.

%package -n %{?scl_prefix}elasticsearch-rest-client
Summary:        Elasticsearch subproject :client:rest
Group:          Development/Java


%description -n %{?scl_prefix}elasticsearch-rest-client
Elasticsearch subproject :client:rest.

%package -n %{?scl_prefix}elasticsearch-rest-client-sniffer
Summary:        Elasticsearch subproject :client:sniffer
Group:          Development/Java


%description -n %{?scl_prefix}elasticsearch-rest-client-sniffer
Elasticsearch subproject :client:sniffer.

%if %with javadoc
%package javadoc
Summary:        Javadoc for elasticsearch
Group:          Development/Java


%description javadoc
%{summary}.
%endif

%prep
%setup -q -n elasticsearch-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/elasticsearch-rest-client-%{namedversion}.jar %{buildroot}%{_javadir}/elasticsearch-rest-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/elasticsearch-rest-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/elasticsearch-rest-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/elasticsearch-rest-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/elasticsearch-rest-client-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/elasticsearch-rest-client-sniffer-%{namedversion}.jar %{buildroot}%{_javadir}/elasticsearch-rest-client-sniffer-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/elasticsearch-rest-client-sniffer-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/elasticsearch-rest-client-sniffer-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/elasticsearch-rest-client-sniffer-%{namedversion}-sources.jar %{buildroot}%{_javadir}/elasticsearch-rest-client-sniffer-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/elasticsearch-rest-client-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/elasticsearch-rest-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/elasticsearch-rest-client-%{namedversion} -x META-INF/\*
%{__ln_s} elasticsearch-rest-client-%{namedversion} %{buildroot}%{_javadocdir}/elasticsearch-rest-client

%{__mkdir_p} %{buildroot}%{_javadocdir}/elasticsearch-rest-client-sniffer-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/elasticsearch-rest-client-sniffer-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/elasticsearch-rest-client-sniffer-%{namedversion} -x META-INF/\*
%{__ln_s} elasticsearch-rest-client-sniffer-%{namedversion} %{buildroot}%{_javadocdir}/elasticsearch-rest-client-sniffer

%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.asciidoc NOTICE.txt BUILDING.md CONTRIBUTING.md

%files -n %{?scl_prefix}elasticsearch-rest-client
%{_javadir}/elasticsearch-rest-client-%{namedversion}.jar
%{_javadir}/elasticsearch-rest-client.jar
%if %with javadoc
%{_javadir}/elasticsearch-rest-client-%{namedversion}-javadoc.jar
%{_javadir}/elasticsearch-rest-client-javadoc.jar
%endif
%{_javadir}/elasticsearch-rest-client-%{namedversion}-sources.jar
%{_javadir}/elasticsearch-rest-client-sources.jar

%if %with javadoc
%{_javadir}/lasticsearch-client-%{namedversion}-javadoc.jar
%{_javadir}/lasticsearch-client-javadoc.jar
%endif

%files -n %{?scl_prefix}elasticsearch-rest-client-sniffer
%{_javadir}/elasticsearch-rest-client-sniffer-%{namedversion}.jar
%{_javadir}/elasticsearch-rest-client-sniffer.jar
%if %with javadoc
%{_javadir}/elasticsearch-rest-client-sniffer-%{namedversion}-javadoc.jar
%{_javadir}/elasticsearch-rest-client-sniffer-javadoc.jar
%endif
%{_javadir}/elasticsearch-rest-client-sniffer-%{namedversion}-sources.jar
%{_javadir}/elasticsearch-rest-client-sniffer-sources.jar

%if %with javadoc
%{_javadir}/elasticsearch-rest-client-sniffer-%{namedversion}-javadoc.jar
%{_javadir}/elasticsearch-rest-client-sniffer-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/elasticsearch-%{namedversion}
%{_javadocdir}/elasticsearch
%endif

%changelog
* Fri Sep 08 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.9.0-1.redhat_00001.1
- Built by CPaaS

* Thu Jun 09 2022 Yong Yang <yyang@redhat.com> - 7.16.3-1.redhat_00002.1
- 7.16.3.redhat_00002-1

